Bug 37032 - I/O error on IDE Tape Drive
I/O error on IDE Tape Drive
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: taper (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-22 00:49 EDT by Ian Salisbury
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-23 19:42:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Salisbury 2001-04-22 00:49:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


ide-tape.o loads fine with insmod, and also compiles into the kernel 
without errors.  It identifies the drive (A Seagate STT8000A) and assigns 
it to /dev/ht0.  Every attempt to access the drive gives the 
error: /dev/ht0: Input/output error.

Reproducible: Always
Steps to Reproduce:
1.Install Tape Drive
2.Use Kernel 2.2.19-7.0.1
3.enter 'mt -f /dev/ht0 status'
	

Actual Results:  /dev/ht0: Input/output error

Expected Results:  Tape drive should have responded.

A google search shows that this is a common problem, some people compiled 
their own kernel and got it to work.  I've recompiled my kernel a number 
of times with differnet options but still no luck.
Comment 1 Ian Salisbury 2001-04-22 11:05:12 EDT
Tried two different tape drives (Same model) with the same result.  Original 
drive was in a Windows 95 box previously, and working fine.
Comment 2 Ngo Than 2001-04-23 19:42:02 EDT
Could you please do strace and send to me the output. thanks
Comment 3 Ian Salisbury 2001-04-25 15:13:12 EDT
User Error
Found a third drive to try, when swapping I noticed that the stickers on the 
drives were different.  Seagate tape drives LOOK almost physically identical.  
I was using the wrong media.

With correct media I was able to get mt to work with both ide-tape.o and ide-
scsi.o

Note You need to log in before you can comment on or make changes to this bug.